Bug 1069428 - Various concurrency problems due to unsafe Seam injections
Summary: Various concurrency problems due to unsafe Seam injections
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-Logic   
(Show other bugs)
Version: 3.3
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
: 3.3
Assignee: Sean Flanigan
QA Contact: Damian Jansen
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1066782
TreeView+ depends on / blocked
 
Reported: 2014-02-25 02:15 UTC by Patrick Huang
Modified: 2014-03-20 05:47 UTC (History)
5 users (show)

Fixed In Version: 3.3.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-20 05:47:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1018633 None None None Never

Internal Trackers: 1018633

Description Patrick Huang 2014-02-25 02:15:57 UTC
User-Agent:       Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.31 (KHTML, like Gecko) Chrome/26.0.1410.63 Safari/537.31
Build Identifier: 

If entityManager is injected into a stateless scoped bean and further being injected by annotation into Application scoped beans, concurrent access may cause a collision in Hibernate session.

Reproducible: Sometimes

Steps to Reproduce:
1. write a test or use some tool that can post different resource to same iteration simultaneously
2. run it (i.e. 5 or more concurrent requests)
Actual Results:  
Found shared references to a collection org.hibernate.HibernateException
or connection has been closed exception or some other hibernate exception occures

Expected Results:  
Runs ok

Comment 2 Patrick Huang 2014-02-25 02:29:45 UTC
https://github.com/zanata/zanata-server/pull/385

Comment 5 Damian Jansen 2014-02-28 01:55:42 UTC
Verified at add2aaa948353dea5e2d041b1e921601a24d9630

Comment 6 Sean Flanigan 2014-03-20 05:47:16 UTC
Closing VERIFIED bugs for Zanata server 3.3.2.


Note You need to log in before you can comment on or make changes to this bug.